Author Topic: Step-by-step: Masternode on VPS  (Read 1107 times)

def15

  • Newbie
  • *
  • Posts: 41
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #30 on: January 31, 2015, 07:10:15 PM »
It doesn't explain adding multiple masternodes yet.

If you have multiple mns, your .conf will be:
Code: [Select]
mnstart=
mnstart=
mnstart=
That's all about multiple masternodes.

mnstart=[output]
or
mnstart=[privkey]?
mnstart=mnsecret (output of mnsecret command)

mnsecret command, what's that?
What is the command?
Where do i enter the command?

I may sound retarded, but i'm not going to be the only one asking these questions.
Could vertoe add the method of obtaining the mnsecret and where to add it, to the guide?

def15

  • Newbie
  • *
  • Posts: 41
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #31 on: January 31, 2015, 07:12:17 PM »
It doesn't explain adding multiple masternodes yet.

If you have multiple mns, your .conf will be:
Code: [Select]
mnstart=
mnstart=
mnstart=
That's all about multiple masternodes.

mnstart=[output]
or
mnstart=[privkey]?

Under the Masternode tab, find your potential MN (one with a checkbox) and ctrl+C to copy the output column for that input. Then go to Tools > Debug console and type:
'mnsecret <ctrl+V>'
You will get an ever bigger string spat out. That's what you put in the 'mnstart=...' line in your spreadcoin.conf.

Awesome, exactly what should be added to the guide  ;D

georgem

  • Tech Admin
  • ******
  • Posts: 527
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #32 on: February 01, 2015, 02:54:36 PM »
I don't seem to be able to compile on my ubuntu server.

Not even 5 sec after the compilation start it stopped with the following error:



Here as copy paste:

Code: [Select]
[email protected]:/usr/spreadcoin/src# make -j4 -f makefile.unix USE_UPNP=
/bin/sh ../share/genbuild.sh obj/build.h
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/checkpoints.d -o obj/checkpoints.o checkpoints.cpp
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/db.d -o obj/db.o db.cpp
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/init.d -o obj/init.o init.cpp
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/main.d -o obj/main.o main.cpp
In file included from checkpoints.cpp:10:0:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
In file included from db.h:8:0,
                 from db.cpp:6:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
In file included from db.h:8:0,
                 from main.cpp:8:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
In file included from txdb.h:8:0,
                 from init.cpp:6:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
main.cpp: In member function ‘bool CBlock::CheckBlock(CValidationState&, bool, bool) const’:
main.cpp:2638:47: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
main.cpp: In function ‘void SpreadCoinMiner(CWallet*)’:
main.cpp:5325:49: warning: ‘auto_ptr’ is deprecated (declared at /usr/include/c++/4.6/backward/auto_ptr.h:87) [-Wdeprecated-declarations]
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/checkpoints.o] Error 1
make: *** Waiting for unfinished jobs....
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/db.o] Error 1
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/init.o] Error 1
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/main.o] Error 1
[email protected]:/usr/spreadcoin/src#
Forum donations: SVusZDRc8P1BjBRwrgdqYrJ4j5aY3gHFUg

girino

  • Newbie
  • *
  • Posts: 39
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #33 on: February 01, 2015, 03:07:04 PM »
I don't seem to be able to compile on my ubuntu server.

Not even 5 sec after the compilation start it stopped with the following error:



Here as copy paste:

Code: [Select]
[email protected]:/usr/spreadcoin/src# make -j4 -f makefile.unix USE_UPNP=
/bin/sh ../share/genbuild.sh obj/build.h
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/checkpoints.d -o obj/checkpoints.o checkpoints.cpp
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/db.d -o obj/db.o db.cpp
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/init.d -o obj/init.o init.cpp
g++ -c -O2 -pthread -Wall -Wextra -Wformat -Wformat-security -Wno-unused-parameter -std=gnu++0x -Wno-literal-suffix -g -DBOOST_SPIRIT_THREADSAFE -D_FILE_OFFSET_BITS=64 -I/usr/spreadcoin/src -I/usr/spreadcoin/src/obj -DUSE_IPV6=1 -I/usr/spreadcoin/src/leveldb/include -I/usr/spreadcoin/src/leveldb/helpers -DHAVE_BUILD_INFO -fno-stack-protector -fstack-protector-all -Wstack-protector -D_FORTIFY_SOURCE=2  -MMD -MF obj/main.d -o obj/main.o main.cpp
In file included from checkpoints.cpp:10:0:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
In file included from db.h:8:0,
                 from db.cpp:6:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
In file included from db.h:8:0,
                 from main.cpp:8:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
In file included from txdb.h:8:0,
                 from init.cpp:6:
main.h: In function ‘std::size_t hash_value(COutPoint)’:
main.h:345:5: error: ‘hash_combine’ is not a member of ‘boost’
main.cpp: In member function ‘bool CBlock::CheckBlock(CValidationState&, bool, bool) const’:
main.cpp:2638:47: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
main.cpp: In function ‘void SpreadCoinMiner(CWallet*)’:
main.cpp:5325:49: warning: ‘auto_ptr’ is deprecated (declared at /usr/include/c++/4.6/backward/auto_ptr.h:87) [-Wdeprecated-declarations]
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/checkpoints.o] Error 1
make: *** Waiting for unfinished jobs....
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/db.o] Error 1
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/init.o] Error 1
At global scope:
cc1plus: warning: unrecognised command line option "-Wno-literal-suffix" [enabled by default]
make: *** [obj/main.o] Error 1
[email protected]:/usr/spreadcoin/src#

You seem to have the wrong version of libboost. What version of ubuntu are you using?

or maybe you didn't install libboost?
Code: [Select]
sudo apt-get install libboost-all-dev

georgem

  • Tech Admin
  • ******
  • Posts: 527
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #34 on: February 01, 2015, 03:13:57 PM »
You seem to have the wrong version of libboost. What version of ubuntu are you using?

or maybe you didn't install libboost?
Code: [Select]
sudo apt-get install libboost-all-dev

If I do this, it tells me that I already have the newest version.

Code: [Select]
[email protected]:/usr/spreadcoin/src# apt-get install libboost-all-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
libboost-all-dev is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-image-3.2.0-73-generic linux-image-3.2.0-68-generic linux-image-3.2.0-60-generic linux-headers-3.2.0-70-generic
  linux-headers-3.2.0-65-generic linux-image-3.2.0-63-generic linux-headers-3.2.0-60 linux-headers-3.2.0-61
  linux-headers-3.2.0-63 linux-headers-3.2.0-64 linux-headers-3.2.0-59 linux-headers-3.2.0-70 linux-headers-3.2.0-65
  linux-headers-3.2.0-72 linux-headers-3.2.0-73 linux-headers-3.2.0-68 linux-headers-3.2.0-69
  linux-headers-3.2.0-73-generic linux-headers-3.2.0-68-generic linux-headers-3.2.0-60-generic
  linux-headers-3.2.0-63-generic linux-image-3.2.0-69-generic linux-image-3.2.0-35-generic linux-image-3.2.0-61-generic
  linux-image-3.2.0-64-generic linux-image-3.2.0-59-generic linux-headers-3.2.0-69-generic
  linux-headers-3.2.0-61-generic linux-image-3.2.0-72-generic linux-headers-3.2.0-64-generic
  linux-headers-3.2.0-59-generic linux-headers-3.2.0-72-generic linux-image-3.2.0-70-generic
  linux-image-3.2.0-65-generic
Use 'apt-get autoremove' to remove them.
0 to upgrade, 0 to newly install, 0 to remove and 1 not to upgrade.

My ubuntu version is this:

Code: [Select]
[email protected]:/usr/spreadcoin/src# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu 12.04.5 LTS"

My boost version is:

Code: [Select]
[email protected]:/usr/spreadcoin/src# dpkg -s libboost-dev | grep 'Version'
Version: 1.48.0.2
Forum donations: SVusZDRc8P1BjBRwrgdqYrJ4j5aY3gHFUg

GilAlexander

  • Newbie
  • *
  • Posts: 46
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #35 on: February 01, 2015, 03:14:31 PM »
I don't seem to be able to compile on my ubuntu server.

I'm fine with
Code: [Select]
sudo apt-get install qt4-qmake libqt4-dev build-essential libboost-dev libboost-system-dev libboost-filesystem-dev libboost-program-options-dev libboost-thread-dev libssl-dev libdb++-dev libminiupnpc-dev
git clone -b mn-test https://github.com/spreadcoin-project/spreadcoin/ && cd spr*/src/ && make -j4 -f makefile.unix USE_UPNP=
Some deps are redundant (qt) but I was bored (that was copied from some manual for darkcoin).
my spr addr: SVf1jyKHgdCngvpXf9SGQveiaFBFthmjVu

georgem

  • Tech Admin
  • ******
  • Posts: 527
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #36 on: February 01, 2015, 03:18:03 PM »
Well, what version of boost do we need exactly for spreadcoin to compile correctly?
Is there a list that mentions the versions of all necessary moduls?
Forum donations: SVusZDRc8P1BjBRwrgdqYrJ4j5aY3gHFUg

GilAlexander

  • Newbie
  • *
  • Posts: 46
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #37 on: February 01, 2015, 03:26:31 PM »
Well, what version of boost do we need exactly for spreadcoin to compile correctly?
Is there a list that mentions the versions of all necessary moduls?
https://github.com/spreadcoin-project/spreadcoin/blob/mn-test/doc/build-unix.md must describe that (if Mr. Spread actualized it).
Did you tried plain "make -f makefile.unix"?
my spr addr: SVf1jyKHgdCngvpXf9SGQveiaFBFthmjVu

georgem

  • Tech Admin
  • ******
  • Posts: 527
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #38 on: February 01, 2015, 03:30:54 PM »
Well, what version of boost do we need exactly for spreadcoin to compile correctly?
Is there a list that mentions the versions of all necessary moduls?
https://github.com/spreadcoin-project/spreadcoin/blob/mn-test/doc/build-unix.md must describe that (if Mr. Spread actualized it).
Did you tried plain "make -f makefile.unix"?

Same errors.

I checked the link you gave me earlier, it is just a copy from some older bitcoin related version I believe. I don't think that Mr. Spread has updated it. (Except changed the word bitcoin to spreadcoin) because it talks about Boost Version 1.37 which most certainly is too old.
Forum donations: SVusZDRc8P1BjBRwrgdqYrJ4j5aY3gHFUg

GilAlexander

  • Newbie
  • *
  • Posts: 46
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #39 on: February 01, 2015, 03:45:14 PM »
Same errors.

I checked the link you gave me earlier, it is just a copy from some older bitcoin related version I believe. I don't think that Mr. Spread has updated it. (Except changed the word bitcoin to spreadcoin) because it talks about Boost Version 1.37 which most certainly is too old.

I have:
Code: [Select]
# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.1 LTS"
# dpkg -s libboost-dev | grep 'Version'
Version: 1.54.0.1ubuntu1
my spr addr: SVf1jyKHgdCngvpXf9SGQveiaFBFthmjVu

georgem

  • Tech Admin
  • ******
  • Posts: 527
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #40 on: February 01, 2015, 03:50:03 PM »
Same errors.

I checked the link you gave me earlier, it is just a copy from some older bitcoin related version I believe. I don't think that Mr. Spread has updated it. (Except changed the word bitcoin to spreadcoin) because it talks about Boost Version 1.37 which most certainly is too old.

I have:
Code: [Select]
# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.1 LTS"
# dpkg -s libboost-dev | grep 'Version'
Version: 1.54.0.1ubuntu1

I assume my "precise" ubuntu version is much more unforgiving then your "trusty" version, lol...

ok, i'll do an upgrade to 14.04
Forum donations: SVusZDRc8P1BjBRwrgdqYrJ4j5aY3gHFUg

girino

  • Newbie
  • *
  • Posts: 39
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #41 on: February 01, 2015, 06:22:37 PM »
Same errors.

I checked the link you gave me earlier, it is just a copy from some older bitcoin related version I believe. I don't think that Mr. Spread has updated it. (Except changed the word bitcoin to spreadcoin) because it talks about Boost Version 1.37 which most certainly is too old.

I have:
Code: [Select]
# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.1 LTS"
# dpkg -s libboost-dev | grep 'Version'
Version: 1.54.0.1ubuntu1

I assume my "precise" ubuntu version is much more unforgiving then your "trusty" version, lol...

ok, i'll do an upgrade to 14.04

Before that you can try to update your boost to a newer version. I think you can do

Code: [Select]
apt-get install libboost1.51-all-dev
(or something newer than 1.51). The default for 12.04 is boost 1.48, that is quite outdated.

georgem

  • Tech Admin
  • ******
  • Posts: 527
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #42 on: February 01, 2015, 07:21:07 PM »

Before that you can try to update your boost to a newer version. I think you can do

Code: [Select]
apt-get install libboost1.51-all-dev
(or something newer than 1.51). The default for 12.04 is boost 1.48, that is quite outdated.

It seems that my server has a general problem with the repositories. I need to fix that.
Forum donations: SVusZDRc8P1BjBRwrgdqYrJ4j5aY3gHFUg

vertoe

  • Newbie
  • *
  • Posts: 33
  • Darkcoin Core Dev
    • View Profile
    • Darkco.in
Re: Step-by-step: Masternode on VPS
« Reply #43 on: February 01, 2015, 08:38:30 PM »
so, was away for the weekend. fixed the one error in OP. anything else missing?
SSHUvYeyGQcV6z1QvFiu2SppKDTbb2ZFC1

MyFarm

  • Sr. Member
  • ****
  • Posts: 259
    • View Profile
Re: Step-by-step: Masternode on VPS
« Reply #44 on: February 01, 2015, 09:18:03 PM »
so, was away for the weekend. fixed the one error in OP. anything else missing?

Could you change:
Quote
Local: Generate a masternode secret from the transaction input. if input:0 fails, try:1, and so on until you get what you want:

To

Quote
Local: Generate a masternode secret from the transaction input by going to the console at tools > debug console. if input:0 fails, try:1, and so on until you get what you want:


Is the address in the original post where you want the SPR sent still?  I'll send it as soon as you confirm.

For another 200 SPR, would you be game to add how to get multiple masternodes going on the VPS?